microsoft-foundry.rest.security.o-auth2-auth
Indexes
Create or update a version
PATCH
/indexes/{name}/versions/{version}
Create a new or update an existing Index with the given version id
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The name of the resource
version
string
required
The specific version id of the Index to create or update.
Request Body
The Index to create or update.
Content-Type: application/merge-patch+json
One of the following:
AzureSearch
AzureAISearchIndexUpdate
Azure AI Search Index Definition
type
enum
required
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Azure AI Search Index Definition
type
enum
required
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
required
Type of index
CosmosDBNoSqlVectorStore
Responses
The request has succeeded.
Body
Content-Type: application/json
One of the following:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
required
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
required
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
required
Type of index
CosmosDBNoSqlVectorStore
Request
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json